# sample-placeholer

| File | class |
|------|-------|
| applicationContext.xml | com.poscoict.glueframework.bean.GluePropertySourcesPlaceholderConfigurer

| -D옵션 | 설명 |
|--------|-----|
| CONFIG_PATH | glue.properties 파일의 위치 |
| cipher.path | glue.cipher 파일의 위치 |

## how to test

전제사항

- Oracle DB에 scott/tiger 계정으로 연결

`SampleApp`(`src/main/java/com/poscoict/sample/SampleApp.java`)을 실행해서 우선 패스워드에 암호화하지 않고 DB에서 Data를 조회하는지 확인합니다.
`GlueStaticContext.getGlueProperty("jdbc.password")` 가 로그에 어떻게 나오는지도 확인합니다.

`GlueCipherTesterMain`(`src/test/java/GlueCipherTesterMain.java`)을 실행해서 Key 파일을 생성합니다. 3번 메뉴를 통해 Enter만 입력하면
default로 `etc/glue.cipher`이 생성됩니다. 1번 메뉴를 통해 패스워드(tiger) 입력하고 암호화된 문자열을 획득합니다.
`glue.properties`의 `jdbc.password`의 값을 암호회된 문자열로 수정합니다. 이때 `enc##` 이라는 prefix가 추가되어야 합니다.
`SampleApp`(`src/main/java/com/poscoict/sample/SampleApp.java`)을 다시 실행해서 DB에서 Data를 조회하는지 확인합니다.
`GlueStaticContext.getGlueProperty("jdbc.password")` 가 로그에 어떻게 나오는지도 확인합니다. 
